<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns="http://www.w3.org/1999/xhtml">

<xsl:template match="/">
    <html>
        <head>
            <title>MBM621 : BrandBand Information </title>
        </head>
        <body bgcolor="#ffffff">  
            <xsl:apply-templates select="WAN_INFO"/>
        </body>
    </html>
</xsl:template>

<xsl:template match="WAN_INFO">
    <table border="0" cellpadding="0" cellspacing="3" width="100%">
        <tr>
            <td colspan="2"><h1>Wan Identification</h1></td>
        </tr>    
         <tr> <!-- RULE -->
	        <td colspan="2" background="liteblue.gif" height="12"></td>
        </tr>    
        <xsl:apply-templates select="IDENTIFICATION"/>
        <tr> <!-- RULE -->
	        <td colspan="2" background="liteblue.gif" height="12"></td>
        </tr>  
        <tr>
            <td colspan="2"><h1>Wan Status</h1></td>
        </tr>
        <tr> <!-- RULE -->
	        <td colspan="2" background="liteblue.gif" height="12"></td>
        </tr>       
        <xsl:apply-templates select="STATUS"/>
         <tr> <!-- RULE -->
	        <td colspan="2" background="liteblue.gif" height="12"></td>
        </tr>                
    </table>
          
</xsl:template>


<xsl:template match="IDENTIFICATION">
     <tr>
        <td>VENDOR_NAME</td>
        <td><xsl:value-of select="VENDOR_NAME"/></td> 
     </tr>
     <tr>
        <td>HW_MODEL_NUMBER</td>
        <td><xsl:value-of select="HW_MODEL_NUMBER"/></td> 
     </tr>
    <tr>
        <td>HW_IDENTIFICATION</td>
        <td><xsl:value-of select="HW_IDENTIFICATION"/></td> 
     </tr>     
     <tr>
        <td>SERIAL_NUMBER</td>
        <td><xsl:value-of select="SERIAL_NUMBER"/></td> 
     </tr>
     <tr>
        <td>IMSI</td>
        <td><xsl:value-of select="IMSI"/></td> 
     </tr>
     <tr>
        <td>IMEI</td>
        <td><xsl:value-of select="IMEI"/></td> 
     </tr>     
</xsl:template>


<xsl:template match="SESSION_INFO">
      <tr>
        <td><xsl:value-of select="BYTES_RECEIVED"/></td>
        <td><xsl:value-of select="BYTES_SENT"/></td>
        <td><xsl:value-of select="CONNECTION_TIME"/></td>
      </tr>
    </xsl:template>


<xsl:template match="STATUS">
     <tr>
        <td>NETWORK_NAME</td>
        <td><xsl:value-of select="NETWORK_NAME"/></td> 
     </tr>
     <tr>
        <td>NETWORK_TYPE</td>
        <td><xsl:value-of select="NETWORK_TYPE"/></td> 
     </tr>
    <tr>
        <td>SIGNAL_STRENGTH_PERCENT</td>
        <td><xsl:value-of select="SIGNAL_STRENGTH_PERCENT"/></td> 
     </tr>     
     <tr>
        <td>SIGNAL_STRENGTH_RAW</td>
        <td><xsl:value-of select="SIGNAL_STRENGTH_RAW"/></td> 
     </tr>
     <tr>
        <td>SIGNAL_BARS</td>
        <td><xsl:value-of select="SIGNAL_BARS"/></td> 
     </tr>
     <tr> <!-- RULE -->
	        <td colspan="2" background="liteblue.gif" height="12"></td>
     </tr>    
     <tr>
            <td colspan="2"><h1>Session Information</h1></td>
     </tr>   
        <table border="2" cellpadding="0" cellspacing="1" width="50%" align="left">
            <th>TX</th>
            <th>RX</th>
            <th>DURATION</th>
            <xsl:apply-templates select="SESSION_INFO"/>
        </table>

    
</xsl:template>


</xsl:stylesheet>