#ifndef CYGONCE_HAL_BOARD_H
#define CYGONCE_HAL_BOARD_H

//=============================================================================
//
//      board.h
//
//      libstub board.h file for ROS HAL
//
//=============================================================================
//=============================================================================
//
// Purpose:     libstub board.h file for ROS HAL
// Description: This file simplifies libstub integration. The board.h file
//              for ROS simply includes the hal_stub.h file which defines
//              the necessary architecture and platform information for
//              any of the possible ROS target configurations.
//              
//=============================================================================

// Define __ROS__; allows all ROS specific additions to be easily identified.
#define __ROS__

/*
#include <include/hal/hal_stub.h>
#ifdef CYGPKG_REDBOOT
#include <pkgconf/redboot.h>
#endif
*/

#include "include/hal/hal_stub.h"
#ifdef CYGPKG_REDBOOT
#include "include/pkgconf/redboot.h"
#endif


//-----------------------------------------------------------------------------
#endif // CYGONCE_HAL_BOARD_H
// End of board.h
